gSOAP WS-ReliableMessaging: _wsrm__SequenceAcknowledgement Struct Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# _wsrm__SequenceAcknowledgement Struct Reference

Top-level root element "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement is a complexType. More...

`#include <wsrm.h>`

Collaboration diagram for _wsrm__SequenceAcknowledgement:

[legend]
List of all members.

## Public Attributes
char * | Identifier
| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier.
$int | __sizeNack
ULONG64 * | Nack
| Array ULONG64* of length 1..unbounded.
_wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_Final * | Final
| SEQUENCE OF ELEMENTS <xs:sequence>.
$int | __sizeAcknowledgementRange
_wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_AcknowledgementRange * | AcknowledgementRange
_wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_None * | None
_XML | __any

## Detailed Description

Top-level root element "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement "http://docs.oasis-open.org/ws-rx/wsrm/200702":SequenceAcknowledgement is a complexType.

## Member Data Documentation

_XML _wsrm__SequenceAcknowledgement::__any

| TODO: <any namespace="##other" minoccurs="0" maxoccurs="unbounded"> TODO: Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element).

$int _wsrm__SequenceAcknowledgement::__sizeAcknowledgementRange

| CHOICE OF ELEMENTS <xs:choice> Note: <xs:choice> of element with maxOccurs>1 prevents the use of a union Size of AcknowledgementRange array is 1..unbounded

$int _wsrm__SequenceAcknowledgement::__sizeNack

| CHOICE OF ELEMENTS <xs:choice> Note: <xs:choice> with embedded <xs:sequence> or <xs:group> prevents the use of a union Size of array of ULONG64* is 1..unbounded

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_AcknowledgementRange * _wsrm__SequenceAcknowledgement::AcknowledgementRange

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_Final * _wsrm__SequenceAcknowledgement::Final

| SEQUENCE OF ELEMENTS <xs:sequence>.

char* _wsrm__SequenceAcknowledgement::Identifier

| Element reference "http://docs.oasis-open.org/ws-rx/wsrm/200702":Identifier. Required element.

ULONG64* _wsrm__SequenceAcknowledgement::Nack

| Array ULONG64* of length 1..unbounded.

struct _wsrm__SequenceAcknowledgement::_wsrm__SequenceAcknowledgement_None * _wsrm__SequenceAcknowledgement::None

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsrm.h